<h1>Create post</h1>

{{#each errors}}
<div class="alert alert-danger">{{message}}</div>
{{/each}}

<form action="/user/posts/create" method="POST"  enctype="multipart/form-data">
    <div class="form-group">
        <label for="title">Title</label>
        <input name="title" type="text" class="form-control" id="title" placeholder="Give a title">
    </div>

       <div class="form-group">
        <label for="category">Category</label>
        <select name="category" id="category" class="form-control">
            {{#each category}}
            <option value="{{id}}">{{name}}</option>
           {{/each}}
        </select>
    </div>

    <div class="form-group">
        <label for="file">Upload Image</label>
        <input name="file" type="file" class="form-control">
    </div>

    <div class="form-group">
        <label for="status">Status</label>
        <select name="status" id="status" class="form-control">

            <option value="public">Public</option>
            <option value="private">Private</option>
            <option value="draft">Draft</option>

        </select>
    </div>

    <div class="form-check">
        <label for="allowComments" class="form-check-label">
            <input name="allowComments" type="checkbox" class="form-check-input" id="allowComments">
            Allow comments
        </label>

    </div>


    <div class="form-group">
        <label for="body">Body</label>
        <textarea id="editor" name="body" cols="25" rows="10" type="text" class="form-control" id="body"
            placeholder="Write description here"></textarea>
    </div>

    <button type="submit" class="btn btn-primary">Create post</button>


</form>
<script src="/ckeditor/ckeditor.js"></script>
 <script>
    CKEDITOR.replace( 'editor' );
</script>